commit:     ff9411617644550561108552c065fb1ab9af46e0
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 25 14:23:33 2020 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sat Jan 25 14:24:18 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff941161

app-crypt/p11-kit: Version bump (v0.23.19)

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 app-crypt/p11-kit/Manifest               |  1 +
 app-crypt/p11-kit/p11-kit-0.23.19.ebuild | 60 ++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/app-crypt/p11-kit/Manifest b/app-crypt/p11-kit/Manifest
index 667db7b900a..0609cd03698 100644
--- a/app-crypt/p11-kit/Manifest
+++ b/app-crypt/p11-kit/Manifest
@@ -1,3 +1,4 @@
 DIST p11-kit-0.23.12.tar.gz 1257028 BLAKE2B 
8add003ad298b7c4548c40f863835e9aae4234a66a4b216149be7c473f2b3b7ffb633b95883d58e5b039c974dd8571e56e23f6dcc77e484672605e6178d75ad2
 SHA512 
ae43b1f6ba5400cf5ae7b64b8c93aa47e5c7ee927196828600fd88beb6fdf6bcb6a63bc822d356757255638f9fbf10896e0604e32a1332a9a833836fa0468726
 DIST p11-kit-0.23.16.1.tar.gz 1292783 BLAKE2B 
60be56656156c86d6f0f3285bd691ed85ec1a992e8a789f0f21f9ada172a8cab0581cc42f89c3079a1bd7b3493f0d38cd952711fda50c2e80bf96e94fcd9ff87
 SHA512 
7d0bbd793b43dba081054b4d022a8dbd1d477a3bd6aced72a641087023cf020f1d898899a08e737880e6c810f924814c62497c5ecb19f8322cde42667426a9a7
 DIST p11-kit-0.23.18.1.tar.gz 1305755 BLAKE2B 
6d453fad0f4b42e3ae583e76bd206377fd30dd32d98dda94ba3b2fe505cde4c3e05410e685ebe9e8e2f6cae7da3cbd2b78203cae64b8c000b1a2f2ec2a902c4c
 SHA512 
941996aea75025dad5dfc6f9b4609bc92bc0888d5b2b58de0d498d6cf75d059421405d9c3bad51122108b6ad1e41e434609ead23404efe635cdb806836ccadbd
+DIST p11-kit-0.23.19.tar.xz 822652 BLAKE2B 
c1750e2d0b8ebdfcf70695259401a029b2d5739d8222c37f128f94f8a4313321956e120dcba5c7cb882d16e1a6b12398f9dfa88ef601e826f0dfec5acbf438c8
 SHA512 
1a7feb2c14381f2ca87386b6a81f46cfb27ccce70ad87a2fc86726e2827b49971958e40c4fc54df01df7570d82058afe82d21c5b3c59fb8310aa641d3b370da2

diff --git a/app-crypt/p11-kit/p11-kit-0.23.19.ebuild 
b/app-crypt/p11-kit/p11-kit-0.23.19.ebuild
new file mode 100644
index 00000000000..4a9b986476e
--- /dev/null
+++ b/app-crypt/p11-kit/p11-kit-0.23.19.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-minimal
+
+DESCRIPTION="Provides a standard configuration setup for installing PKCS#11"
+HOMEPAGE="https://p11-glue.github.io/p11-glue/p11-kit.html";
+SRC_URI="https://github.com/p11-glue/p11-kit/releases/download/${PV}/${P}.tar.xz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+asn1 debug +libffi +trust"
+REQUIRED_USE="trust? ( asn1 )"
+
+RDEPEND="asn1? ( >=dev-libs/libtasn1-3.4:=[${MULTILIB_USEDEP}] )
+       libffi? ( >=virtual/libffi-3.0.0:=[${MULTILIB_USEDEP}] )
+       trust? ( app-misc/ca-certificates )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+pkg_setup() {
+       # disable unsafe tests, bug#502088
+       export FAKED_MODE=1
+}
+
+src_prepare() {
+       if [[ ${CHOST} == *-solaris2.* && ${CHOST##*-solaris2.} -lt 11 ]] ; then
+               # Solaris 10 and before doesn't know about XPG7 
(XOPEN_SOURCE=700)
+               # drop to XPG6 to make feature_tests.h happy
+               sed -i -e '/define _XOPEN_SOURCE/s/700/600/' common/compat.c || 
die
+               # paths.h isn't available, oddly enough also not used albeit 
included
+               sed -i -e '/#include <paths.h>/d' trust/test-trust.c || die
+               # we don't have SUN_LEN here
+               sed -i -e 's/SUN_LEN \(([^)]\+)\)/strlen (\1->sun_path)/' \
+                       p11-kit/server.c || die
+       fi
+       default
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable trust trust-module) \
+               $(use_with trust trust-paths 
${EPREFIX}/etc/ssl/certs/ca-certificates.crt) \
+               $(use_enable debug) \
+               $(use_with libffi) \
+               $(use_with asn1 libtasn1)
+
+       if multilib_is_native_abi; then
+               # re-use provided documentation
+               ln -s "${S}"/doc/manual/html doc/manual/html || die
+       fi
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to